Bug 428982 - [gcj-runtime] frysk/proc/live/LinuxPtraceTaskState.java:1470: internal compiler error: Segmentation fault
[gcj-runtime] frysk/proc/live/LinuxPtraceTaskState.java:1470: internal compil...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gcc (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Andrew Haley
:
Depends On:
Blocks: 173278
  Show dependency treegraph
 
Reported: 2008-01-16 11:07 EST by Andrew Cagney
Modified: 2008-10-16 10:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-16 10:56:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Cagney 2008-01-16 11:07:33 EST
Given two identical builds, using "identical" .jars, gcj dies on one but not the
other vis (running under fcatch is optional):

$ gcc --version
gcc (GCC) 4.1.2 20071124 (Red Hat 4.1.2-38)
[...]
$ pwd
/notnfs/cagney/devel/frysk/RHEL-5/frysk-0.0.1.2008.01.14/build/frysk-core
$ fcatch -- /usr/libexec/gcc/x86_64-redhat-linux/4.1.2/jc1
~/devel/frysk/RHEL-5/frysk-0.0.1.2008.01.14/build/frysk-core/frysk-core.jar
-fhash-synchronization -fno-use-divide-subroutine -fuse-boehm-gc
-fnon-call-exceptions -fkeep-inline-functions -quiet -dumpbase frysk-core.jar
-mtune=generic -auxbase frysk-core -g -O -Wextraneous-semicolon -Wall -Werror
-version -fPIC -I../../frysk-core -I. -I../frysk-sys/frysk-sys.jar
-I../frysk-imports/jline.jar -I../frysk-imports/antlr.jar
-I../frysk-imports/junit.jar -I../frysk-imports/getopt.jar
-I../frysk-imports/jdom.jar -I../frysk-imports/cdtparser.jar -o /tmp/ccICWoyY.s
[...]
$

vs:

$ gcc --version
gcc (GCC) 4.1.2 20071124 (Red Hat 4.1.2-38)
[...]
$ pwd
/notnfs/cagney/devel/frysk/RHEL-5/frysk-0.0.1.2008.01.14/build/frysk-core
$ fcatch -- /usr/libexec/gcc/x86_64-redhat-linux/4.1.2/jc1 frysk-core.jar
-fhash-synchronization -fno-use-divide-subroutine -fuse-boehm-gc
-fnon-call-exceptions -fkeep-inline-functions -quiet -dumpbase frysk-core.jar
-mtune=generic -auxbase frysk-core -g -O -Wextraneous-semicolon -Wall -Werror
-version -fPIC -I../../frysk-core -I. -I../frysk-sys/frysk-sys.jar
-I../frysk-imports/jline.jar -I../frysk-imports/antlr.jar
-I../frysk-imports/junit.jar -I../frysk-imports/getopt.jar
-I../frysk-imports/jdom.jar -I../frysk-imports/cdtparser.jar -o /tmp/ccICWoyY.s
Entered parseCommand
GNU Java version 4.1.2 20071124 (Red Hat 4.1.2-38) (x86_64-redhat-linux)
        compiled by GNU C version 4.1.2 20071124 (Red Hat 4.1.2-38).
GGC heuristics: --param ggc-min-expand=98 --param ggc-min-heapsize=128293
Class path starts here:
    ../../frysk-core/
    ./
    ../frysk-sys/frysk-sys.jar/ (zip)
    ../frysk-imports/jline.jar/ (zip)
    ../frysk-imports/antlr.jar/ (zip)
    ../frysk-imports/junit.jar/ (zip)
    ../frysk-imports/getopt.jar/ (zip)
    ../frysk-imports/jdom.jar/ (zip)
    ../frysk-imports/cdtparser.jar/ (zip)
    ./
    /usr/share/java/libgcj-4.1.2.jar/ (system) (zip)
fcatch: from PID 26984 TID 26984:
SIGSEGV detected - dumping stack trace for TID 26984
#0 0x000000000045f9d5 in mark_reference_fields () from
/usr/libexec/gcc/x86_64-redhat-linux/4.1.1/jc1
#1 0x000000000045fd2f in mark_reference_fields () from
/usr/libexec/gcc/x86_64-redhat-linux/4.1.1/jc1
#2 0x000000000045fe4a in get_boehm_type_descriptor () from
/usr/libexec/gcc/x86_64-redhat-linux/4.1.1/jc1
#3 0x000000000042e9fc in make_class_data () from
/usr/libexec/gcc/x86_64-redhat-linux/4.1.1/jc1
#4 0x0000000000431b59 in finish_class () from
/usr/libexec/gcc/x86_64-redhat-linux/4.1.1/jc1
#5 0x000000000044e5e0 in parse_class_file () from
/usr/libexec/gcc/x86_64-redhat-linux/4.1.1/jc1
#6 0x0000000000451671 in java_parse_file () from
/usr/libexec/gcc/x86_64-redhat-linux/4.1.1/jc1
#7 0x00000000006e6d34 in toplev_main () from
/usr/libexec/gcc/x86_64-redhat-linux/4.1.1/jc1
#8 0x0000003efca1d8a4 in __libc_start_main () from /lib64/libc-2.5.so
#9 0x0000000000402749 in calloc@@GLIBC_2.2.5 () from
/usr/libexec/gcc/x86_64-redhat-linux/4.1.1/jc1

frysk/proc/live/LinuxPtraceTaskState.java:1470: internal compiler error:
Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Comment 3 RHEL Product and Program Management 2008-01-16 11:16:05 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Andrew Cagney 2008-01-17 11:08:29 EST
We've a work-around; order the .class files alphabetically before compiling.

Removing 5.2; proposing for 5.3.
Comment 6 RHEL Product and Program Management 2008-06-02 16:24:53 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Note You need to log in before you can comment on or make changes to this bug.